
%{?scl:%scl_package args4j}
%{!?scl:%global pkg_name %{name}}

Name:              %{?scl_prefix}args4j
%global tools_name %{pkg_name}-tools
%global site_name  %{pkg_name}-site

Version:          2.0.16
Release:          11%{?dist}
Summary:          Small Java lib that makes it easy to parse command line options/args in CUI apps
License:          MIT and BSD
Group:            Development/Libraries
# http://args4j.java.net/
URL:              http://%{pkg_name}.java.net/
# Upload Your personal ssh key to java.net (otherwise the export fails)
# svn export https://svn.java.net/svn/args4j~svn/tags/args4j-site-2_0_16 args4j-2.0.16
# tar caf args4j-2.0.16.tar.xz args4j-2.0.16
Source0:          %{pkg_name}-%{version}.tar.xz

Patch0:           %{pkg_name}-wagon-svn-removal.patch
Patch1:           %{pkg_name}-ant-removal.patch
Patch2:           %{pkg_name}-osgi.patch
# https://github.com/kohsuke/args4j/commit/fc85e79 + some additions
Patch3:           %{pkg_name}-srcencoding.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-surefire-provider-junit

Requires:         java
Requires:         jpackage-utils
%{?scl:Requires: %scl_runtime}

%description
args4j is a small Java class library that makes it easy
to parse command line options/arguments in your CUI application.
- It makes the command line parsing very easy by using annotations.
- You can generate the usage screen very easily.
- You can generate HTML/XML that lists all options for your documentation.
- Fully supports localization.
- It is designed to parse javac like options (as opposed to GNU-style
  where ls -lR is considered to have two options l and R.)

args4j-tools are development-time tools for generating additional artifacits.

%package javadoc
Summary:          API documentation for %{pkg_name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{pkg_name}.

%prep
%setup -q -n %{pkg_name}-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# removing classpath addition
sed -i 's/<addClasspath>true/<addClasspath>false/g' %{tools_name}/pom.xml

# removing bundled stuff
rm -rf repo
rm -rf www
rm -rf %{pkg_name}/lib

%build
%{?scl:%scl_maven_opts}
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 %{pkg_name}/target/%{pkg_name}-%{version}.jar %{buildroot}%{_javadir}/%{pkg_name}.jar
install -p -m 644 %{tools_name}/target/%{tools_name}-%{version}.jar %{buildroot}%{_javadir}/%{tools_name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{site_name}.pom
install -pm 644 %{pkg_name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{pkg_name}.pom
install -pm 644 %{tools_name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{tools_name}.pom


%add_maven_depmap JPP-%{site_name}.pom
%add_maven_depmap JPP-%{pkg_name}.pom %{pkg_name}.jar
%add_maven_depmap JPP-%{tools_name}.pom %{tools_name}.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{pkg_name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{pkg_name}

%files
%doc %{pkg_name}/LICENSE.txt
%{_javadir}/%{pkg_name}.jar
%{_javadir}/%{tools_name}.jar
%{_mavenpomdir}/JPP-%{site_name}.pom
%{_mavenpomdir}/JPP-%{pkg_name}.pom
%{_mavenpomdir}/JPP-%{tools_name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{pkg_name}/LICENSE.txt
%doc %{_javadocdir}/%{pkg_name}

%changelog
* Wed Apr 17 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.0.16-11
- Rebuild to get proper dist macro value.

* Mon Dec 17 2012 Roland Grunberg <rgrunber@redhat.com> - 2.0.16-10
- Update to conform with latest Java packaging guidelines.

* Wed Jul 18 2012 Roland Grunberg <rgrunber@redhat.com> - 2.0.16-9
- Make changes to build in SCL environment.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 31 2012 Ville Skyttä <ville.skytta@iki.fi> - 2.0.16-7
- Apply upstream source encoding patch to fix build with java 1.7.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 13 2011 Jaromir Capik <jcapik@redhat.com> - 2.0.16-4
- OSGi metadata generated

* Mon May 30 2011 Jaromir Capik <jcapik@redhat.com> - 2.0.16-3
- Removal of bundled stuff in args4j/lib

* Wed May 25 2011 Jaromir Capik <jcapik@redhat.com> - 2.0.16-2
- Removal of unused ant dependency

* Tue May 24 2011 Jaromir Capik <jcapik@redhat.com> - 2.0.16-1
- Initial version of the package
